[arch-commits] Commit in python-qiniu/repos (3 files)

Felix Yan felixonmars at archlinux.org
Mon Jul 2 19:09:09 UTC 2018


    Date: Monday, July 2, 2018 @ 19:09:09
  Author: felixonmars
Revision: 350199

archrelease: copy trunk to community-staging-any

Added:
  python-qiniu/repos/community-staging-any/
  python-qiniu/repos/community-staging-any/LICENSE
    (from rev 350198, python-qiniu/trunk/LICENSE)
  python-qiniu/repos/community-staging-any/PKGBUILD
    (from rev 350198, python-qiniu/trunk/PKGBUILD)

----------+
 LICENSE  |   22 ++++++++++++++++++++++
 PKGBUILD |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

Copied: python-qiniu/repos/community-staging-any/LICENSE (from rev 350198, python-qiniu/trunk/LICENSE)
===================================================================
--- community-staging-any/LICENSE	                        (rev 0)
+++ community-staging-any/LICENSE	2018-07-02 19:09:09 UTC (rev 350199)
@@ -0,0 +1,22 @@
+The MIT License (MIT)
+
+Copyright (c) 2014 Qiniu, Ltd.<sdk at qiniu.com>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
+

Copied: python-qiniu/repos/community-staging-any/PKGBUILD (from rev 350198, python-qiniu/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2018-07-02 19:09:09 UTC (rev 350199)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-qiniu
+pkgname=(python-qiniu python2-qiniu)
+pkgver=7.2.2
+pkgrel=2
+pkgdesc="Qiniu Resource Storage SDK for Python"
+arch=('any')
+url='https://github.com/qiniu/python-sdk'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-requests' 'python2-requests')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/qiniu/python-sdk/archive/v$pkgver.tar.gz")
+sha512sums=('29f9573c6c20224611d90c3f27b977d5e725cf40da045352ecc6c0f3496a6573f63246f1afd55a7cef0201d3f69c68d5f2c50bbe46d19e8b3d68889910869845')
+
+prepare() {
+  cp -a python-sdk-$pkgver{,-py2}
+}
+
+check() {
+  # Extracted from .travis.yml
+  export QINIU_TEST_BUCKET="pythonsdk"
+  export QINIU_TEST_DOMAIN="pythonsdk.qiniudn.com"
+  export QINIU_TEST_ENV="travis"
+
+  cd "$srcdir"/python-sdk-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/python-sdk-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-qiniu() {
+  depends=('python-requests' 'python-setuptools')
+
+  cd python-sdk-$pkgver
+  python setup.py install -O1 --root "$pkgdir"
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-qiniu() {
+  depends=('python2-requests' 'python2-setuptools')
+
+  cd python-sdk-$pkgver-py2
+  python2 setup.py install -O1 --root "$pkgdir"
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  # Don't conflict with python 3.x version
+  mv "$pkgdir"/usr/bin/qiniupy{,2}
+}



More information about the arch-commits mailing list